from django.shortcuts import render

# Create your views here.
from .models import *
from sicurezza.views import *

def RegistrarList(request):
  session = getSessionParms(request)
  userauth = session['_userauth_']
  domain2edit = session['_registrar2edit_']

  request.session['_from_']="Registrar:RegistrarList"

  print(next)

  try:
    utenteautorizzato = User.objects.get(pk=userauth)
  except User.DoesNotExist as dne:
    return  HttpResponseRedirect(reverse('Login:login',args={}))

  if not domain2edit:
    domain2edit = utenteautorizzato.domain.id

  registrarlist = Registrar.objects.all().order_by('nome')

  value={}
  value['utenteautorizzato'] = utenteautorizzato
  value['user'] = None
  value['registrarlist'] = registrarlist
  value['navbar'] = True

  print("livello autorizzazione",utenteautorizzato.securitylevel_id)
  securitylevel = getSecurityLevel(utenteautorizzato.securitylevel_id)
  securityrow = getSecurityRow(utenteautorizzato.securitylevel_id)

  value['securityrow'] = securityrow
  value['securityrowLen'] = len(securityrow)
 
  return render(request,'registrarList.html',value)

def ContattiList(request):
  session = getSessionParms(request)
  userauth = session['_userauth_']
  user2edit = session['_user2edit_']
  domain2edit = session['_domain2edit_']
  contatto2edit = session['_contatto2edit_']
  registrar2edit = session['_registrar2edit_']

  if not user2edit:
    user2edit = userauth

  utenteautorizzato = User.objects.get(pk=userauth)

  contatti = Contatti.objects.all()

  value={}
  value['utenteautorizzato'] = utenteautorizzato
  value['user'] = None
  value['contatti'] = contatti
  value['navbar'] = True

  return render(request,'gestioneContattiList.html',value)

def ContattiEdit(request):
  session = getSessionParms(request)
  userauth = session['_userauth_']
  user2edit = session['_user2edit_']
  domain2edit = session['_domain2edit_']

  if not user2edit:
    user2edit = userauth

  utenteautorizzato = User.objects.get(pk=userauth)

  if not domain2edit:
    domain2edit = utenteautorizzato.domain.id

  dominio = Domini.objects.get(pk=domain2edit)
 
  userlist = User.objects.filter(domain=domain2edit).order_by('mail')

  value={}
  value['utenteautorizzato'] = utenteautorizzato
  value['user'] = None
  value['userlist'] = userlist
  value['dominio'] = dominio
  value['navbar'] = True


